Drafts

View as Markdown

List Drafts

GET
/agent/v0/pods/{pod_id}/drafts

Path Parameters

pod_id*string

ID of pod.

Query Parameters

limit?integer

Limit of number of items returned.

page_token?string

Page token for pagination.

labels?array<>

Labels to filter by.

before?string

Timestamp before which to filter by.

Formatdate-time
after?string

Timestamp after which to filter by.

Formatdate-time
ascending?boolean

Sort in ascending temporal order.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/drafts" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "drafts": [
    {
      "inbox_id": "string",
      "draft_id": "string",
      "labels": [
        "string"
      ],
      "to": [
        "string"
      ],
      "cc": [
        "string"
      ],
      "bcc": [
        "string"
      ],
      "subject": "string",
      "preview": "string",
      "attachments": [
        {
          "attachment_id": "string",
          "filename": "string",
          "size": 0,
          "content_type": "string",
          "content_disposition": "inline",
          "content_id": "string"
        }
      ],
      "in_reply_to": "string",
      "send_status": "scheduled",
      "send_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "name": "string",
  "message": "string"
}

Get Draft

GET
/agent/v0/pods/{pod_id}/drafts/{draft_id}

Path Parameters

pod_id*string

ID of pod.

draft_id*string

ID of draft.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/drafts/string" \  -H "Authorization: string"
{
  "inbox_id": "string",
  "draft_id": "string",
  "client_id": "string",
  "labels": [
    "string"
  ],
  "reply_to": [
    "string"
  ],
  "to": [
    "string"
  ],
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "subject": "string",
  "preview": "string",
  "text": "string",
  "html": "string",
  "attachments": [
    {
      "attachment_id": "string",
      "filename": "string",
      "size": 0,
      "content_type": "string",
      "content_disposition": "inline",
      "content_id": "string"
    }
  ],
  "in_reply_to": "string",
  "references": [
    "string"
  ],
  "send_status": "scheduled",
  "send_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "message": "string"
}

Get Attachment

GET
/agent/v0/pods/{pod_id}/drafts/{draft_id}/attachments/{attachment_id}

Path Parameters

pod_id*string

ID of pod.

draft_id*string

ID of draft.

attachment_id*string

ID of attachment.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/pods/string/drafts/string/attachments/string" \  -H "Authorization: string"
{
  "attachment_id": "string",
  "filename": "string",
  "size": 0,
  "content_type": "string",
  "content_disposition": "inline",
  "content_id": "string",
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "message": "string"
}